Bug 128054 - redhat-config-printer should allow printing to arbitrary CUPS backend
redhat-config-printer should allow printing to arbitrary CUPS backend
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-16 16:15 EDT by Jonathan Reed
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:22:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Reed 2004-07-16 16:15:04 EDT
Description of problem:

redhat-config-printer should allow printing to an arbitrary CUPS
backend.  While it's true that the web interface allows you to select
any valid backend in /usr/lib/cups/backend, redhat-config-printer
should allow this too.  Additionally, queues configured via the web
interface which use custom backends show up as "Browsed Queues", which
is not really correct.  Since CUPS allows anyone to write new custom
backends, it would be nice if redhat-config-printer supported them. 
The only "options" needed in the configuration pane would be "device
name" (ie: local name) and "device uri" (ie: protocol://server/queue).
   Ideally, it would look something like the "Advanced" option that is
available in Apple's "Printer Setup Utility" (which uses CUPS) if the
user Option-Clicks on the "Add" printer button.

Version-Release number of selected component (if applicable):
Comment 1 Suzanne Hillman 2004-07-20 17:18:43 EDT
Internal RFE bug #128256 entered; will be considered for future releases.
Comment 3 RHEL Product and Program Management 2007-10-19 15:22:28 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.
Comment 4 Jonathan Reed 2007-10-19 15:40:45 EDT
Nice.  Sit on the bug for long enough, and then the product will be obsolete, so it can be easily closed as 
WONTFIX.  I am in awe of this support model.

Well, I'm happy to say this feature appears to exist (although I haven't yet tested it) in RHEL 5, so perhaps 
we finally made some progress.  Some communication might have been nice, however.

Note You need to log in before you can comment on or make changes to this bug.